<ng-template #noRecordResult>
    <!-- <div style="text-align: center;padding-top: 150px;" [style.height.px]=chartJSheight>
        Sorry, No Results Found.
    </div> -->
    <div class="card-body p-0" style="min-height: 400px;">
        <div class="row align-items-center nodata-data dash-error"
             style="min-height: 400px;max-height:400px;">
            <div class="col-md-5 text-center">
                <img src="../../../assets/imgs/nodata.png" class="nodata-img">
            </div>
            <div class="col-md-7">
                <div class="fw-500 text-gray77 WSF dash-error-text">Sorry, we couldn't find any content for this
                    criteria.
                </div>
                <div class="fw-500 text-gray77 WSF dash-error-text">Please
                    modify data or filters.
                </div>
            </div>
        </div>
    </div>
</ng-template>
<style>
    .map_fc {
        height: calc(100vh - 54px);
        /* overflow: auto; */
    }

    .dash-full-reset {
        top: 120px !important;
    }
</style>
<ng-template #blockTemplate>
    <div class="block-ui-template custom-bg-block-ui mb-3">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <!-- <img src="../../assets/img/card-hx-loader.svg" class="card-loader-svg"> -->
                <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                     style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                     viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                    <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                    </circle>
                    <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                 begin="-0.44999999999999996s">
                        </animate>
                    </circle>
                    <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                    </circle>
                    <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                        <animate attributeName="cy" calcMode="spline"
                                 keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                 values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                    </circle>
                </svg>
                <span class="loading-text-material">
                </span>
            </div>
        </div>
    </div>
</ng-template>

<div *blockUI="blockUIName; template: blockTemplate">
    <div *ngIf="showEntityChart" style="min-height:300px;" [ngClass]="is_mobile_device ? 'fullscreen-device-top' : ''">
        <div *ngIf="entityChartDef.data.datasets.length > 0; else noRecordResult" [style.height.px]=chartJSheight
             style="text-align: center;" (click)="linkMenu(viewGroup)">
        </div>
    </div>

    <!-- ****************************FILTER**************************** -->
    <div *ngIf="showEntityTable" style="min-height:300px;" [ngClass]="is_mobile_device ? 'fullscreen-device-top' : ''">

        <div [ngClass]="{'highChartView':isHighChartView}" class="entity1_container" style="background-color: #fff;"
             *ngIf="resultData.hsresult.hsdata.length>0; else noRecordResult" [style.height.px]=pivotContainerHeight
             (click)="linkMenu(viewGroup)">

            <!-- Highcharts: Filter Dropdown -->
            <div style="position: absolute; right: 0;z-index:8;top: 0px;"
                 *ngIf="isHighChartView && pivotChartType != 'grid'">
                <!-- pivot dropdown - filter -->
                <div class="filter-ui-dropdown-btn">
                    <div dropdown [autoClose]="true" class="nav-item btn-group">
                        <a dropdownToggle class="nav-link dropdown-toggle dropdown-link"
                           (click)="getPivotFilterItems()">
                            <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
                                <i class="fas fa-filter icon-primary font-icons"></i>
                            </span>
                        </a>

                        <div *dropdownMenu class="dropdown-menu cust-dropdown-menu dropdown-behaviour" role="menu">
                            <ul class="filterview-list" *ngFor="let item of pivotFilterList;"
                                (click)="openPivotFilter(item)">
                                <li class="dropdown-list">
                                    <span class="dropdown-item"><i class="ion ion-ios-settings" aria-hidden="true"></i>
                                        {{item}}</span>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>
                <!-- pivot dropdown - filter -->

            </div>
            <!-- Highcharts: Filter Dropdown -->

            <!-- Measure value Dropdown -->

            <!-- Custom Report_Filters Start -->
            <div *ngIf="!isHighChartView" class="w-100 d-flex align-items-center" [style.height.px]="ViewFullScreendata.length > 0 ? 58 : 'auto'">
                <div class="d-inline" *ngIf="viewGroup?.app_glo_fil === 0">
                    <div class="ml-1 px-2 mr-1 py-1 values-align row form-group group-label datePick1 my-1 cursor-pointer view_filter_datas">
                        <div class="input-btn-group input-group date-top" [ngClass]="datamanager.verticalFilter.length>0?'date-input-material':'date-input-material-out'">
                            <label class="mb-0 label-style pl-0 text-left">From Date</label>

                            <input class="form-control bg-transparent border-0 p-0"
                                   style="max-height: 20px;min-height:20px;cursor: pointer"
                                   placeholder="yyyy-mm-dd" [options]="dpOptionsFromDate"
                                   ngx-mydatepicker
                                   name="dp" #dpfromdate1="ngx-mydatepicker" #dpfromdate="ngx-mydatepicker"
                                   [(ngModel)]="filterFromDateValue"
                                   (click)="dpfromdate1.toggleCalendar()"
                                   (calendarToggle)="onFromdateCalendarToggle($event)"
                                   (dateChanged)="dateValueNgbChanged($event, {type: 'fromdate'})">
                            <span class="input-group-append" style="align-items: flex-end">
                                                            <span style="cursor: pointer"
                                                                  (click)="dpfromdate1.toggleCalendar()">
                                                                <i class="fa-lg las la-calendar pt-1"></i>
                                                            </span>
                                                        </span>
                            <div style="position: relative">
                                <div *ngIf="fromDatecustFilelds && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length>0)"
                                     style="right: -267px; top: 11px;"
                                     class="cust_calendar_items cust_calendar_items-right p-0"
                                     [perfectScrollbar]>
                                    <div *ngIf="(datamanager.verticalFilter.length>1)">
                                        <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                                    (click)="dpfromdate1.openCalendar();">
                                            <ngb-tab class="form-label label-material"
                                                     [title]="datamanager.verticalFilter[0].display"
                                                     id="tab-fromid1">
                                                <ng-template ngbTabContent
                                                             style="border: none !important;">

                                                    <div
                                                            *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                                        <button
                                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                                (click)="daysfilter1(option,datamanager.verticalFilter[0].values);dpfromdate1.closeCalendar();"
                                                                [ngClass]="activeBtnVal==option.hstext?'active':''">{{option.display}}</button>
                                                    </div>
                                                </ng-template>
                                            </ngb-tab>

                                            <ngb-tab class="form-label label-material"
                                                     [title]="datamanager.verticalFilter[1].display"
                                                     id="tab-fromid2">
                                                <ng-template ngbTabContent>
                                                    <div
                                                            *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                                        <button
                                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                                (click)="daysfilter1(option,datamanager.verticalFilter[1].values);dpfromdate1.closeCalendar();"
                                                                [ngClass]="activeBtnVal==option.hstext+datamanager.verticalFilter[1].values?'active':''">{{option.display}}</button>
                                                    </div>
                                                </ng-template>
                                            </ngb-tab>
                                        </ngb-tabset>
                                    </div>
                                </div>
                                <div *ngIf="fromDatecustFilelds && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                                     style="right: -352px; top: 30px;border-radius: 0px 8px 8px 0px !important;"
                                     class="cust_calendar_items left-radius">

                                    <div
                                            *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                        <button
                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="daysfilter1(option)"
                                                [ngClass]="activeBtnVal==option.hstext?'active':''">{{option.display}}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="d-inline" *ngIf="viewGroup?.app_glo_fil === 0">
                    <div class="ml-1 px-2 mr-1 py-1 values-align row form-group group-label datePick1 my-1 cursor-pointer view_filter_datas">
                        <div class="input-btn-group input-group  date-top cust-on-right" [ngClass]="datamanager.verticalFilter.length>0?'date-input-material':'date-input-material-out'">
                            <label class="mb-0 label-style pl-0 text-left">To Date</label>
                            <input class="form-control bg-transparent border-0 p-0"
                                   style="max-height: 20px;min-height:20px;cursor: pointer"
                                   placeholder="yyyy-mm-dd" [options]="dpOptionsToDate"
                                   name="dp"
                                   ngx-mydatepicker
                                   [(ngModel)]="filterToDateValue"
                                   (click)="dtodate_1.toggleCalendar()"
                                   #dtodate_1="ngx-mydatepicker"
                                   (calendarToggle)="onTodateCalendarToggle($event)"
                                   (dateChanged)="dateValueNgbChanged($event, {type: 'todate'})">
                            <span class="input-group-append" style="align-items: flex-end">
                                                            <span style="cursor: pointer"
                                                                  (click)="dtodate_1.toggleCalendar()">
                                                                <i class="fa-lg las la-calendar pt-1"></i>
                                                            </span>
                                                        </span>
                            <div style="position: relative">
                                <div *ngIf="toDatecustFilelds && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length>0)"
                                     style="right: -267px; top: 11px;"
                                     class="cust_calendar_items cust_calendar_items-right p-0"
                                     [perfectScrollbar]>
                                    <div *ngIf="(datamanager.verticalFilter.length>1)">
                                        <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                                    (click)="dtodate_1.openCalendar();">
                                            <ngb-tab class="form-label label-material"
                                                     [title]="datamanager.verticalFilter[0].display"
                                                     id="tab-fromid1">
                                                <ng-template ngbTabContent
                                                             style="border: none !important;">

                                                    <div
                                                            *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                                        <button
                                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                                (click)="daysfilter1(option,datamanager.verticalFilter[0].values);dtodate_1.closeCalendar();"
                                                                [ngClass]="activeBtnVal==option.hstext?'active':''">{{option.display}}</button>
                                                    </div>
                                                </ng-template>
                                            </ngb-tab>

                                            <ngb-tab class="form-label label-material"
                                                     [title]="datamanager.verticalFilter[1].display"
                                                     id="tab-fromid2">
                                                <ng-template ngbTabContent>
                                                    <div
                                                            *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                                        <button
                                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                                (click)="daysfilter1(option,datamanager.verticalFilter[1].values);dtodate_1.closeCalendar();"
                                                                [ngClass]="activeBtnVal==option.hstext+datamanager.verticalFilter[1].values?'active':''">{{option.display}}</button>
                                                    </div>
                                                </ng-template>
                                            </ngb-tab>
                                        </ngb-tabset>
                                    </div>
                                </div>
                                <div *ngIf="toDatecustFilelds && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                                     style="right: -352px; top: 30px;border-radius: 0px 8px 8px 0px !important;"
                                     class="cust_calendar_items left-radius">

                                    <div
                                            *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                        <button
                                                class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="daysfilter1(option)"
                                                [ngClass]="activeBtnVal==option.hstext?'active':''">{{option.display}}</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div style="overflow-x: auto;display: flex;flex-direction: row;align-items: center;">
                    <div *ngIf="is_custom_filter" style="float:left">
                        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                             style="background: transparent none repeat scroll 0% 0%; display: inline;height:50px"
                             viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                            <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.6s"></animate>
                            </circle>
                            <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.44999999999999996s"></animate>
                            </circle>
                            <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.3s"></animate>
                            </circle>
                            <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.15s"></animate>
                            </circle>
                        </svg>
                    </div>
                    <div class="d-inline cursor-pointer" *ngFor="let report_filter of custom_report_filters;"
                         (click)="open_report_Filter(report_filter.uniqueName)">
                        <div class="ml-1 m-1 px-2 py-1 values-align row form-group group-label datePick1"
                             style="float: left;">
                            <label class="label label-style pl-0 pb-1 cursor-pointer">{{report_filter.caption}}</label>
                            <span class="m-0 badge-title border-0 custom-badge-style"
                                  style="cursor:pointer;padding-left: 0 !important">
                                            <span class="badge" style="cursor:pointer;">Multiple Items</span>
                                        </span>
                        </div>
                    </div>
                    <div *ngIf="is_load_filter" style="float:left">
                        <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
                             style="background: transparent none repeat scroll 0% 0%; display: inline;height:50px"
                             viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                            <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.6s"></animate>
                            </circle>
                            <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.44999999999999996s"></animate>
                            </circle>
                            <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.3s"></animate>
                            </circle>
                            <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                                <animate attributeName="cy" calcMode="spline"
                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5" repeatCount="indefinite"
                                         values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                                         begin="-0.15s"></animate>
                            </circle>
                        </svg>
                    </div>
                    <div class="d-inline" *ngFor="let option of viewFilterdata">
                        <div (click)="openFilterAppliedModal(option, filterModal, { windowClass: 'modal-fill-in modal-md animate' }); "
                             class="ml-1 px-2 mr-1 py-1 values-align row form-group group-label datePick1 my-1 cursor-pointer view_filter_datas close-in"
                             *ngIf="!option.datefield">
                            <label class="label label-style pl-0 pb-1 cursor-pointer">{{option.name}}
                                <span class="badge badge-close ml-2 close-badge"
                                      (click)="remove_entity_filter_tag(option.type);$event.stopPropagation()">
                                                <i class="fa fa-times f-12" aria-hidden="true"></i>
                             </span>
                            </label>
                            <span class="m-0 badge-title border-0 custom-badge-style"
                                  style="cursor:pointer;padding-left: 0 !important">
                                            <span class="badge"
                                                  style="cursor:pointer;">{{nonDateOptionValueFormat(option)}}</span>
                                        </span>

                            <ng-template #filterModal let-c="close" let-d="dismiss">
                                <div class="modal-header">
                                    <h5 class="modal-title">
                                        {{option.name}}
                                    </h5>
                                </div>
                                <div class="modal-body filter-popup-div p-0">
                                    <div class="loader-container" *ngIf="filterLoader" style="padding-top:40%;">
                                        <svg class="entityLoader" xmlns="http://www.w3.org/2000/svg"
                                             xmlns:xlink="http://www.w3.org/1999/xlink"
                                             style="margin: auto; background: transparent none repeat scroll 0% 0%; display: block;"
                                             viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
                                            <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                                                <animate attributeName="cy" calcMode="spline"
                                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                         repeatCount="indefinite" values="57.5;42.5;57.5;57.5"
                                                         keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s"></animate>
                                            </circle>
                                            <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                                                <animate attributeName="cy" calcMode="spline"
                                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                         repeatCount="indefinite" values="57.5;42.5;57.5;57.5"
                                                         keyTimes="0;0.3;0.6;1" dur="1s"
                                                         begin="-0.44999999999999996s"></animate>
                                            </circle>
                                            <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                                                <animate attributeName="cy" calcMode="spline"
                                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                         repeatCount="indefinite" values="57.5;42.5;57.5;57.5"
                                                         keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s"></animate>
                                            </circle>
                                            <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                                                <animate attributeName="cy" calcMode="spline"
                                                         keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                                                         repeatCount="indefinite" values="57.5;42.5;57.5;57.5"
                                                         keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s"></animate>
                                            </circle>
                                        </svg>
                                    </div>
                                    <div *ngIf="!option.datefield" class="p-3">
                                        <div>
                                            <input class="form-control user-input-material custom-text-color" type='text'
                                                   placeholder='Search'
                                                   (keyup)='searchFilterValues($event.target.value.toLowerCase())'
                                                   [(ngModel)]="filterSearchText">
                                            <li class="list-group-item" style="border:none;">
                                                <label class="custom-control custom-checkbox mt-2">
                                                    <input class="custom-control-input" type="checkbox"
                                                           (change)="selectAll(option)"
                                                           [(ngModel)]="isSelectAll">
                                                    <span class="custom-control-label">Select
                                                                    All</span>
                                                </label>
                                            </li>
                                        </div>
                                        <div class="filter-list" appInfinitescroll
                                             (scrolled)="updateScrollPos($event, option)">
                                            <ul class="list-group material m-0">
                                                <li class="list-group-item" *ngFor="let value of filterArray; let i=index;">
                                                    <label class="custom-control custom-checkbox">
                                                        <input class="custom-control-input" type="checkbox"
                                                               (change)="changeSelectedStatus($event,i)"
                                                               [checked]="value.selected">
                                                        <span class="custom-control-label">{{value.value}}</span>
                                                    </label>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>

                                </div>
                                <div class="modal-footer">
                                    <div class="app-filter-btn">
                                        <button type="button" class="btn btn-default device-btn"
                                                (click)="d('Cross click')">Cancel
                                        </button>
                                        <button type="button" class="btn btn-primary device-btn"
                                                (click)="d('Cross click'); applyFilter(option)">Apply
                                        </button>
                                    </div>
                                </div>
                            </ng-template>

                        </div>
                    </div>
                    <div class="values-align"
                         *ngIf="viewGroup?.hscallback_json?.hsmeasureconstrain
                                     && viewGroup?.hscallback_json?.hsmeasureconstrain.length>0">
                        <div class="ml-1 px-2 py-1 values-align row form-group group-label cursor-pointer close-in"
                             *ngFor="let constrain of viewGroup?.hscallback_json?.hsmeasureconstrain;let i=index">
                            <label class="label label-style pl-0 cursor-pointer">{{constrain.attr_description}}
                                <span class="badge badge-close ml-2 close-badge"
                                      (click)="remove_entity_measure_constrain(constrain.attr_name)">
                                                            <i class="fa fa-times f-12" aria-hidden="true"></i>
                                                        </span>
                            </label>
                            <div class="input-btn-group date-input-material">
                                <input
                                        class="form-control bg-transparent border-0 p-0 measure-underline"
                                        [value]="constrain.sql"
                                        (keydown.enter)="applyMesureConstrain($event.target.value,i)"
                                        (focusout)="applyMesureConstrain($event.target.value,i)"/>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Custom Report_Filters End -->

            <div style="position: absolute; left: 12px;z-index:9;top: 0px;">

                <div class="dashboard-measure" *ngIf="isHighChartView && pivotChartType == 'pie' && drillLevel == 0">
                    <div dropdown [autoClose]="true" class="nav-item btn-group  " placement="top"
                         ngbTooltip="Select Measure">
                        <a dropdownToggle class="nav-link dropdown-toggle dropdown-link"
                           (click)="getPivotMeasuresList()">
                            <span class="d-inline-flex flex-lg-row-reverse align-items-center align-middle">
                                {{pivotMeasure_sel.uniqueName}}
                            </span>
                        </a>

                        <div *ngIf="pivotMeasuresList && pivotMeasuresList.length > 1">
                            <div *dropdownMenu class="dropdown-menu cust-dropdown-menu" role="menu">
                                <ul class="filterview-list" *ngFor="let item of pivotMeasuresList;"
                                    (click)="loadSelectedMeasure(item)">
                                    <li class="dropdown-list">
                                        <span class="dropdown-item">
                                            {{item.uniqueName}}
                                        </span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!-- Measure value Dropdown -->
            <div id="dashboard_full_screen_{{(ViewFullScreendata.length > 0 && datamanager.isFullScreen === true &&
                    pivotData?.options?.viewType !== 'charts') ? 'true' : 'false'}}">
                <fm-pivot #pivotcontainer [width]="'100%'"
                          [height]="ViewFullScreendata.length > 0 && pivotData?.options?.viewType !== 'charts' ? (pivotChartHeight - 58) : pivotChartHeight" [toolbar]="true"
                          [id]="'pivot-container'"
                          class="class_{{viewGroup?.object_id}}"
                          [ngClass]="is_mobile_device ? 'fullscreen-device-top' : ''" [global]=pivotGlobal
                          [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'"
                          (dataloaded)="onDataLoaded($event)" (reportcomplete)="onReportComplete()"
                          (beforetoolbarcreated)="customizeToolbar($event)"
                          (update)="onReportChange($event)"
                          [customizeContextMenu]="customizeFlexmonsterContextMenu.bind(this)"
                          [customizeCell]="customizeCellFunction.bind(this)">
                </fm-pivot>
            </div>


            <div *ngIf="datamanager.showHighcharts && !viewGroup.is_map_view" id="{{highchartId}}" class="hc_div"
                 [style.height.px]="highchartHeight">
            </div>
            <div *ngIf="viewGroup.is_map_view">
                <div class="card-body p-0" id="highmaps-container" style="background: #fff;">
                    <div class="row">
                        <div style="position: relative;" class="col-sm-10 pr-0">
                            <!-- <app-hint [id]="'fullscreen-reset'" *ngIf="datamanager.isFullScreen"></app-hint> -->
                            <button class="map-reset "
                                    [ngClass]="datamanager.isFullScreen?'map-reset-fullscreen dash-full-reset':'map-reset dash-reset'"
                                    (click)="leafletService.resetMapZoom()" title="Reset View"
                                    *ngIf="leafletService.isZoomed"><i class="fas fa-redo-alt f-10"></i></button>
                            <div id="home_map_chart0" [ngClass]="datamanager.isFullScreen?'map_fc':''"
                                 class="map_chart dash-map-not-full"></div>
                        </div>
                        <div class="col-sm-2 pr-4" style="background: #fff; z-index: 11;">
                            <div class="dash-not-full" [ngClass]="datamanager.isFullScreen?'map_fc':''"
                                 [perfectScrollbar]>
                                <ng-container *ngFor="let sub_data of map_data;">
                                    <div (click)="formatMapData(sub_data)" class="mb-3 daily-data-tab"
                                         [ngClass]="selected_map.current_name == sub_data.current_name?'active':''">
                                        <div class="card-body p-3">
                                            <div class="align-items-center">
                                                <div class="f-16 fw-700">{{sub_data.current_name}}</div>
                                                <div class="f-14 gray text-muted">{{sub_data.current_value}}</div>
                                                <div *ngIf="sub_data.py_name"
                                                     [ngClass]="sub_data.py_value_original<0?'clr-2':'clr-1'"
                                                     style="border-bottom: none !important;">
                                                    <div class="f-14 stock_value">{{sub_data.py_value}}
                                                        <i *ngIf="sub_data.py_value_original<0"
                                                           class="fas fa-caret-down down"
                                                           style="justify-content: center;margin-left:10px;"></i>
                                                        <i *ngIf="sub_data.py_value_original>0"
                                                           class="fas fa-caret-up up"
                                                           style="justify-content: center;margin-left:10px;"></i>
                                                    </div>
                                                </div>
                                                <div *ngIf="sub_data.py_name"
                                                     class="f-14 gray text-muted">{{sub_data.py_name}}</div>
                                            </div>
                                        </div>
                                    </div>
                                </ng-container>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
